Bug 505638 - gnome-volume-control loses cound card, becomes null device
gnome-volume-control loses cound card, becomes null device
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
Blocks: 513462
  Show dependency treegraph
Reported: 2009-06-12 13:30 EDT by Benjamin Kwiecień
Modified: 2010-06-28 08:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 08:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Pulse audio vvvverbose output (4.79 KB, text/plain)
2009-06-12 13:30 EDT, Benjamin Kwiecień
no flags Details
Alsa Info (18.45 KB, text/plain)
2009-06-15 23:47 EDT, Benjamin Kwiecień
no flags Details

  None (edit)
Description Benjamin Kwiecień 2009-06-12 13:30:15 EDT
Created attachment 347626 [details]
Pulse audio vvvverbose output

Description of problem:

Sound appears to work fine with pulse audio running, but when I open gnome-volume-control (or alternatively pavucontrol), the card goes away immediately, causing gnome-volume-control to report that I have no sound card, just a null device.  Sound is no longer available to other apps, but if I kill pulseaudio it will respawn and the card comes back provided I don't open volume control.

Version-Release number of selected component (if applicable):


How reproducible:

Just open gnome-volume-control.  Card is CA0106
Comment 1 Lennart Poettering 2009-06-15 12:56:57 EDT
D: alsa-source.c: snd_pcm_mmap_commit: Broken pipe
D: alsa-source.c: snd_pcm_mmap_commit: Buffer overrun!
I: (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_PREPARE failed
I: (alsa-lib)pcm.c: cannot recovery from overrun, prepare failed: Device or resource busy
E: alsa-source.c: snd_pcm_mmap_commit: Device or resource busy

There's something wrong with your card and PA tries to to reinitialize it and that fails.

Reassigning to kernel. Please include the data alsa-info.sh --no-upload generates here!
Comment 2 Benjamin Kwiecień 2009-06-15 23:47:15 EDT
Created attachment 348045 [details]
Alsa Info
Comment 3 Bug Zapper 2010-04-27 10:50:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-06-28 08:56:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.